Skip to content

Update in-app web notification status (opened, archived, clicked, etc.)

PATCH
/user/inapp
curl --request PATCH \
--url https://api.pingram.io/user/inapp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "trackingIds": [ "example" ], "opened": "example", "clicked": "example", "archived": "example", "actioned1": "example", "actioned2": "example", "reply": { "date": "example", "message": "example" }, "replies": [ { "date": "example", "message": "example" } ] }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
trackingIds
required
Array<string>
opened
string
clicked
string
archived
string
actioned1
string
actioned2
string
reply
object
date
required
string
message
required
string
replies
Array<object>
object
date
required
string
message
required
string
Examplegenerated
{
"trackingIds": [
"example"
],
"opened": "example",
"clicked": "example",
"archived": "example",
"actioned1": "example",
"actioned2": "example",
"reply": {
"date": "example",
"message": "example"
},
"replies": [
{
"date": "example",
"message": "example"
}
]
}

Responses

200

Successful response

Media typeapplication/json
object
success
required
boolean
Example
{
"success": true
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}